Delete product ignores
curl --request DELETE \
--url https://semgrep.dev/api/agent/deployments/{deploymentId}/ignores \
--header 'Authorization: Bearer <token>'import requests
url = "https://semgrep.dev/api/agent/deployments/{deploymentId}/ignores"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://semgrep.dev/api/agent/deployments/{deploymentId}/ignores', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Global Ignores
Delete product ignores
Remove the global ignore patterns for one or more products in a deployment.
DELETE
/
api
/
agent
/
deployments
/
{deploymentId}
/
ignores
Delete product ignores
This endpoint is experimental. It may change or be removed without notice and is not covered by API stability guarantees.
Authorizations
Get access to data with your user's JSON Web Token.
Path Parameters
Query Parameters
Available options:
PRODUCT_UNSPECIFIED, PRODUCT_SAST, PRODUCT_SCA, PRODUCT_SECRETS, PRODUCT_AI_SAST Response
200 - application/json
OK
The response is of type object.
Was this page helpful?
⌘I